質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.48%

The ZipArchive extension is missing. というエラーが解決できない

解決済

回答 3

投稿

  • 評価
  • クリップ 0
  • VIEW 1,841

score 189

CentOS7.3でPHP7.1.4を利用しています。
LaravelのCMSをインストールしようとしたところ、

The ZipArchive extension is missing. 


というエラーが発生します。

yum -y install cc gcc
yum -y install zlib-devel
pecl install zip


を実行しましたが

checking for libzip... configure: error: system libzip must be upgraded to version >= 0.11
ERROR: `/var/tmp/zip/configure --with-php-config=/usr/bin/php-config' failed


というエラーが出てしまいました。
解決方法が分からず困っています、
宜しくお願いいたします

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • maisumakun

    2018/02/08 07:53

    PHP本体はどういう方法で入れましたか?

    キャンセル

  • asahina1979

    2018/02/08 08:22

    maisumakun gccも同時に入れてるから確実に rpmから(yumかどうかはしらぬ)

    キャンセル

  • hidepon

    2018/02/08 11:31

    ご返答有難うございます。yumでインストールしました。すべて入っていると思っていたのですが・・・。どうも怒られてしまいます

    キャンセル

回答 3

+1

zlibはgzipであってzipではないです。

エラーメッセージでは libzip の対応バージョンがインストールされてない

ですがエラーメッセージをよく読みましたか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

check解決した方法

0

サーバーを再構築した際に、なぜかphpinfo() でZIP項目が表示されるようになりました。
何か抜けていたようです。有難うございました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

yumから入れたのでしたら、リポジトリによって名称は違いますが、多くの場合はphp-pecl-zipとか何かしらの名前で用意してあります。

yum search zipでいまのバージョンに合ったものを探すのが手っ取り早いかと思います。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/02/08 18:16

    たびたびすみません。
    これを参考にしてみましたがうまくいきいません。
    http://tech-tokyobay.manju.tokyo/archives/576

    キャンセル

  • 2018/02/08 18:44

    yum --enablerepo=epel,remi,remi-php71 install php71-php-mcrypt php71-php-mbstring php71-php-fpm php71-php-gd php71-php-pecl-zip
    として全部、ぶっこんでみようとしましたが、
    それでも
    ZipArchive PHP Library is required
    というメッセージが消えません・・・・

    キャンセル

  • 2018/02/09 17:31

    php71-php-* は php コマンドにあらず php71 コマンド用

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.48%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る